For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
          • POSTCreate a refund
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP OrderSeller Initiated Refunds

Create a refund

POST
https://api.feedamp.feedonomics.com/api/v1/orders/:order-id/refund
POST
/api/v1/orders/:order-id/refund
$curl -X POST https://api.feedamp.feedonomics.com/api/v1/orders/order-id/refund \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
201Created
1{
2 "id": "123",
3 "order_id": "1234",
4 "state": "CREATED",
5 "refund_info": {
6 "cp_refund_number": "REFUND-1234",
7 "mp_line_number": "12445244",
8 "refund_reason": "customer_return",
9 "currency": "USD",
10 "refund_quantity": 1,
11 "item_refund": 1.01,
12 "item_tax_refund": 0.11,
13 "shipping_refund": 0,
14 "shipping_tax_refund": 0,
15 "discount_refund": 0,
16 "refund_notes": ""
17 }
18}
Create a refund in FeedAMP, FeedAMP will communicate the refund to the marketplace. A single refund can only be applied to one order line. A seller that wishes to refund more than one order line in an order must make multiple refunds in FeedAMP.
Was this page helpful?
Previous

Fulfill an order

Next

Search returns

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP order id

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Response

Sample Response
idstring
FeedAMP unique refund id
order_idstring
FeedAMP unqiue order id that is being refunded
statestring
FeedAMP Refund State. Newly posted refunds are CREATED.
refund_infoobject